<#ibiztemplate>
TARGET=PSSYSAPP
</#ibiztemplate>
<?xml version="1.0" encoding="UTF-8"?>
<IBIZPROJECT ID="${srfxmlvalue('${app.id}')}" TYPE="APP" PFID="${srfxmlvalue('${app.getPFType()}')}" NAME="${srfxmlvalue('${app.name}')}" PUBPRJ="app_${srfxmlvalue('${app.getPKGCodeName()}')}" CODENAME="${srfxmlvalue('${app.getPKGCodeName()}')}" <#if pub??>SFID="${srfxmlvalue('${pub.id}')}" SFCODENAME="${srfxmlvalue('${pub.codeName}')}"</#if>>
	<IBIZFILETYPES>
		<IBIZFILETYPE ID="PF_CONTROLLER"  NAME="前台视图控制器(JS)" />
		<IBIZFILETYPE ID="PF_JSP"  NAME="前台视图页面(JSP)" />
		<IBIZFILETYPE ID="PF_JSPPART"  NAME="前台视图页面部件(JS)" />
	</IBIZFILETYPES>
	<PSDATAENTITIES>
		<#list sys.getAllPSDataEntities() as de>
		<PSDATAENTITY ID="${srfxmlvalue('${de.id}')}" NAME="${srfxmlvalue('${de.name}')}" CODENAME="${srfxmlvalue('${de.codeName}')}" LOGICNAME="${srfxmlvalue('${de.logicName}')}"/>
		</#list>
	</PSDATAENTITIES>
	<PSAPPMODULES>
		<#list app.getAllPSAppModules() as module>
		<PSAPPMODULE ID="${srfxmlvalue('${module.id}')}" NAME="${srfxmlvalue('${module.name}')}" CODENAME="${srfxmlvalue('${module.codeName}')}"/>
		</#list>
	</PSAPPMODULES>
	<PSAPPVIEWS>
		<#list app.getAllPSAppViews() as appview>
		<#if appview.viewType=='APPINDEXVIEW'>
		<PSAPPINDEXVIEW ID="${srfxmlvalue('${appview.id}')}"  VIEWTYPE="${appview.viewType}" <#if appview.title??>TITLE="${srfxmlvalue('${appview.title}')}"</#if> CODENAME="${srfxmlvalue('${appview.codeName}')}" PSAPPMODULEID="${srfxmlvalue('${appview.getPSAppModule().id}')}" >
		<#elseif appview.viewType=='APPPORTALVIEW'>
		<PSAPPPORTALVIEW ID="${srfxmlvalue('${appview.id}')}"  VIEWTYPE="${appview.viewType}" <#if appview.title??>TITLE="${srfxmlvalue('${appview.title}')}"</#if> CODENAME="${srfxmlvalue('${appview.codeName}')}" PSAPPMODULEID="${srfxmlvalue('${appview.getPSAppModule().id}')}" >
		<#else>
		<PSAPPDEVIEW ID="${srfxmlvalue('${appview.id}')}"  VIEWTYPE="${appview.viewType}" <#if appview.title??>TITLE="${srfxmlvalue('${appview.title}')}"</#if> CODENAME="${srfxmlvalue('${appview.codeName}')}" PSAPPMODULEID="${srfxmlvalue('${appview.getPSAppModule().id}')}" PSDEVIEWNAME="${srfxmlvalue('${appview.getPSDEViewName()!""}')}" <#if appview.getPSDataEntity()??>PSDEID="${srfxmlvalue('${appview.getPSDataEntity().id}')}" PSDENAME="${srfxmlvalue('${appview.getPSDataEntity().name}')}"</#if> >
		</#if>
			<IBIZFILES>
				<IBIZFILE TYPE="PF_CONTROLLER"  FOLDER="js/${appview.getPSAppModule().codeName}"  PUB="${appview.codeName}ControllerBase.js" USR="${appview.codeName}Controller.js"/>
				<IBIZFILE TYPE="PF_JSP"  FOLDER="jsp/${appview.getPSAppModule().codeName?lower_case}"   PUB="${appview.codeName?lower_case}.jsp"  USR="${appview.codeName?lower_case}.jsp"/>
				<IBIZFILE TYPE="PF_JSPPART" FOLDER="jsp/${appview.getPSAppModule().codeName?lower_case}" PUB="${appview.codeName?lower_case}_part.jsp"  USR="${appview.codeName?lower_case}_userpart.jsp" />
			</IBIZFILES>
		<#if appview.viewType=='APPINDEXVIEW'>
		</PSAPPINDEXVIEW>
		<#elseif appview.viewType=='APPPORTALVIEW'>
		</PSAPPPORTALVIEW>
		<#else>
		</PSAPPDEVIEW>
		</#if>
		</#list>
	</PSAPPVIEWS>
</IBIZPROJECT>